Browse Source

fix at least one compat issue with more recent flask

compat
phryk 1 month ago
parent
commit
83cec8f8f4
  1. 4
      poobrains/__init__.py
  2. 4
      setup.py

4
poobrains/__init__.py

@ -818,9 +818,9 @@ class Pooprint(flask.Blueprint):
self.before_request(self.box_setup)
def register(self, app, options, first_registration=False):
def register(self, app, options):
super(Pooprint, self).register(app, options, first_registration=first_registration)
super(Pooprint, self).register(app, options)
self.app = app
self.db = app.db

4
setup.py

@ -16,9 +16,11 @@ setup(
'pyScss',
'pillow', # for image manipulation and generation (primarily to generate captchas)
'markdown (>=3.0)',
'pyproj', # map projection
'pretty-bad-protocol', # formerly 'gnupg'
'numpy',
'pyproj', # map projection
'geojson',
'Shapely',
'bson',
],

Loading…
Cancel
Save